*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:'Poppins', sans-serif;
}
body{
    color:#222;
}
a{
    text-decoration:none;
}
header{
    width:100%;
    background:black;
    position:sticky;
    top:0;
    z-index:1000;
    padding:15px 0;
    border-bottom:4px solid #00ffae;
}
.menu-top{
    width:90%;
    margin:auto;
}
.logo{
    color:#00ffae;
    font-size:50px;
    font-weight:bold;
    margin-left: 70px;
}
.menu{
    display:flex;
    gap:30px;
}
.menu a:hover{
    color:#00ffae;
}
.products{
    height:90vh;
}
.menu a{
    color:white;
    font-size:32px;

    font-weight:600;

    transition:0.3s;
}
.menu-a{
    width:100%;
    height:90vh;
    background-position:center;
    background-size:contain;
    display:flex;
    justify-content:flex-start;
    align-items: flex-start;
    text-align:center;
    transition:1s;
}

.content{
    color:white;
    padding-left:80px;
    padding-inline-start:100px; 
}
.content h1{
    font-size:60px;
    color:#00ffae;
    font-weight:700;
    line-height:50px;
    margin-bottom:20px;
}
.icon{
    display:flex;

    gap:25px;

    color:white;

    font-size:28px;

    cursor:pointer;
}
.icon i{
    transition:0.3s;
}

.icon i:hover{
    color:#00ffae;

    transform:scale(1.2);
}
.search-box{
    position:relative;
    display:flex;
    align-items:center;
}
.search-box i{
    color:white;
    font-size:24px;
    cursor:pointer;
    z-index:2;
}
.search-box input{
    width:0;
    opacity:0;
    padding:10px;
    border:none;
    outline:none;
    border-radius:20px;
    transition:0.5s;
    margin-left:10px;
}
.search-box:hover input{
    width:200px;
    opacity:1;
}
.menu-top{
    width:90%;
    margin:auto;
    display:flex;
    justify-content:space-between;
    align-items:center;
}
.menu a.active{
    color:#00ffae;
}
#home{
    display:block;
}
#clothes,
#shoes,
#accessory,
#register,
#cart,
#contact{
    display:none;
}
#clothes,
.shop-layout{
    display:flex;

    gap:30px;

    padding:40px;
}
#clothes{
    display:none;
}
.sidebar{
    width:250px;

    background:#f5f5f5;

    padding:20px;

    border-radius:10px;
}
.sidebar h2{
    margin-bottom:20px;

    font-size:28px;
}
.sidebar ul{
    list-style:none;

    margin-bottom:40px;
}
.sidebar li{
    margin:15px 0;

    cursor:pointer;

    transition:0.3s;
}
.sidebar li:hover{
    color:#00ffae;
}
.product-grid{
    flex:1;

    display:grid;

    grid-template-columns:
    repeat(auto-fit,minmax(250px,1fr));

    gap:30px;
}
.product-card{
    background:white;

    padding:20px;

    border-radius:15px;

    text-align:center;

    transition:0.3s;
}
.product-card:hover{
    transform:translateY(-10px);

    box-shadow:0 5px 15px rgba(0,0,0,0.2);
}
.product-card img{
    width:100%;

    height:250px;

    object-fit:cover;
}
.product-card p{
    color:red;

    font-size:24px;

    font-weight:bold;

    margin-top:15px;
}
.page-title{
    font-size:55px;

    margin:40px;

    font-weight:700;
}
#contact{
    display:none;

    padding:60px;

    background:#f5f5f5;

    min-height:100vh;
}
.contact-container{
    width:90%;

    margin:auto;

    display:flex;

    gap:50px;

    margin-top:50px;
}.contact-info{
    flex:1;
}
.contact-info h2{
    color: #000000;
    font-size:40px;
}
.contact-info p{
    font-size:20px;

    margin-bottom:30px;

    line-height:35px;
}
.info-box{
    display:flex;

    align-items:center;

    gap:15px;

    margin-bottom:20px;

    font-size:22px;
}
.info-box i{
    color:#00aa77;

    font-size:28px;
}
.contact-form{
    flex:1;

    display:flex;

    flex-direction:column;

    gap:20px;
}
.contact-form input,
.contact-form textarea{
    padding:18px;

    border:none;

    border-radius:10px;

    font-size:18px;

    outline:none;
}
.contact-form textarea{
    height:180px;

    resize:none;
}
.contact-form button{
    background:black;

    color:white;

    padding:18px;

    border:none;

    border-radius:10px;

    font-size:20px;

    cursor:pointer;

    transition:0.3s;
}
.contact-form button:hover{
    background:#00ffae;

    color:black;
}
#login{
    display:none;

    min-height:100vh;

    background:#f5f5f5;

    padding:50px;
}

.login-container{
    width:90%;

    margin:auto;

    background:white;

    border-radius:20px;

    overflow:hidden;

    display:flex;

    box-shadow:0 5px 20px rgba(0,0,0,0.1);
}

.login-left{
    flex:1;

    background:black;

    color:white;

    padding:60px;
}

.login-left h1{
    font-size:55px;

    color:#00ffae;

    margin-bottom:20px;
}

.login-left p{
    font-size:22px;

    margin-bottom:30px;
}

.login-left img{
    width:100%;

    height:350px;

    object-fit:cover;

    border-radius:20px;
}

.login-right{
    flex:1;

    padding:80px;

    display:flex;

    flex-direction:column;

    justify-content:center;
}

.login-right h2{
    font-size:45px;

    margin-bottom:40px;
}

.login-right input{
    padding:18px;

    margin-bottom:25px;

    border:1px solid #ddd;

    border-radius:10px;

    font-size:18px;
}

.login-right button{
    background:black;

    color:white;

    padding:18px;

    border:none;

    border-radius:10px;

    font-size:20px;

    cursor:pointer;

    transition:0.3s;
}

.login-right button:hover{
    background:#00ffae;

    color:black;
}
.register-link{
    margin-top:20px;

    font-size:18px;
}

.register-link span{
    color:#00ffae;

    cursor:pointer;

    font-weight:bold;
}

.register-link span:hover{
    text-decoration:underline;
}
.popup{
    position:fixed;

    top:0;
    left:0;

    width:100%;
    height:100%;

    background:rgba(0,0,0,0.7);

    display:none;

    justify-content:center;
    align-items:center;

    z-index:9999;
}

.popup-content{
    background:white;

    width:500px;

    padding:30px;

    border-radius:20px;

    text-align:center;

    position:relative;
}

.popup-content img{
    width:100%;

    height:300px;

    object-fit:cover;

    border-radius:10px;
}

.popup-content h2{
    margin-top:20px;

    font-size:32px;
}

.popup-content p{
    color:red;

    font-size:28px;

    font-weight:bold;

    margin:15px 0;
}

.close-btn{
    position:absolute;

    top:15px;
    right:20px;

    font-size:35px;

    cursor:pointer;
}

.size-box{
    margin:20px 0;
}

.size-box button{
    padding:10px 18px;

    margin:5px;

    border:none;

    background:black;

    color:white;

    border-radius:8px;

    cursor:pointer;

    transition:0.3s;
}

.size-box button:hover{
    background:#00ffae;

    color:black;
}

.buy-btn{
    width:100%;

    padding:15px;

    border:none;

    background:#00ffae;

    font-size:20px;

    font-weight:bold;

    border-radius:10px;

    cursor:pointer;
}
.cart-container{
    width:90%;

    margin:40px auto;
}

.cart-container h1{
    font-size:50px;

    margin-bottom:30px;
}

.cart-item{
    display:flex;

    align-items:center;

    gap:20px;

    background:white;

    padding:20px;

    margin-bottom:20px;

    border-radius:15px;

    box-shadow:0 5px 15px rgba(0,0,0,0.1);
}

.cart-item img{
    width:120px;

    height:120px;

    object-fit:cover;

    border-radius:10px;
}

.cart-item h3{
    font-size:25px;
}

.cart-item p{
    color:red;

    font-size:22px;

    font-weight:bold;

    margin-top:10px;
}

#total-price{
    margin-top:30px;

    font-size:35px;

    color:#00aa66;
}

.checkout-btn{
    margin-top:20px;

    padding:15px 40px;

    border:none;

    background:#00ffae;

    font-size:22px;

    font-weight:bold;

    border-radius:10px;

    cursor:pointer;
}
.cart-buttons{
    margin-top:15px;

    display:flex;

    gap:10px;
}

.buy-one{
    padding:10px 20px;

    border:none;

    background:#00ffae;

    border-radius:8px;

    cursor:pointer;

    font-weight:bold;
}

.remove-btn{
    padding:10px 20px;

    border:none;

    background:red;

    color:white;

    border-radius:8px;

    cursor:pointer;
}
.active-size{
    background:#00ffae !important;

    color:black !important;
}


@media(max-width:768px){

    header{
        padding:10px;
    }

    .menu-top{
        flex-direction:column;
        gap:15px;
    }

    .logo{
        font-size:35px;
        margin-left:0;
        text-align:center;
    }

    .menu{
        flex-wrap:wrap;
        justify-content:center;
        gap:15px;
    }

    .menu a{
        font-size:18px;
    }

    .icon{
        font-size:22px;
        justify-content:center;
    }

    .content h1{
        font-size:35px;
        line-height:40px;
        padding:20px;
    }

    .shop-layout{
        flex-direction:column;
        padding:20px;
    }

    .sidebar{
        width:100%;
    }

    .product-grid{
        grid-template-columns:1fr;
    }

    .product-card img{
        height:220px;
    }

    .contact-container{
        flex-direction:column;
    }

    .login-container{
        flex-direction:column;
    }

    .login-left img{
        width:100%;
    }

    .popup-content{
        width:95%;
        padding:20px;
    }

    .popup-content img{
        height:250px;
    }

    .cart-item{
        flex-direction:column;
        text-align:center;
    }

    .cart-item img{
        width:100%;
        height:220px;
    }
}